Bug 1174935 - Roboto Black and Roboto Condensed have bad metadata which results in misrendered web pages (among other things)
Summary: Roboto Black and Roboto Condensed have bad metadata which results in misrende...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: google-roboto-fonts
Version: 21
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: David Tardon
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-12-16 19:31 UTC by Nicholas Miell
Modified: 2015-01-03 19:06 UTC (History)
6 users (show)

Fixed In Version: google-roboto-fonts-1.2-8.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-01-03 18:58:27 UTC


Attachments (Terms of Use)
Output of FC_DEBUG=3 fc-match Roboto (8.20 MB, text/plain)
2014-12-17 03:17 UTC, Nicholas Miell
no flags Details
Fontconfig rules to fix metadata (1.43 KB, patch)
2014-12-18 20:23 UTC, Paul Flo Williams
no flags Details | Diff

Description Nicholas Miell 2014-12-16 19:31:59 UTC
Web sites that previously rendered correctly (becuase the server was serving up a WOFF file for "Roboto" containing "Roboto") render incorrectly if you have the Roboto fonts installed because for some reason fontconfig matches "Roboto" to "Roboto Black"

Comment 1 Akira TAGOH 2014-12-17 03:14:03 UTC
what does fc-match Roboto say? and can you attach the log for that with FC_DEBUG=3?

Comment 2 Nicholas Miell 2014-12-17 03:17:17 UTC
Created attachment 969863 [details]
Output of FC_DEBUG=3 fc-match Roboto

$ fc-match Roboto
Roboto-Black.ttf: "Roboto" "Black"

Comment 3 Akira TAGOH 2014-12-17 03:44:29 UTC
what a font do you expect to be matched?

Comment 4 Nicholas Miell 2014-12-17 03:48:47 UTC
I would expect Roboto to match Roboto Regular, but it looks like Roboto Black has a weight of 80 instead of 210, so I guess this is a problem with the font files themselves.

Comment 5 Akira TAGOH 2014-12-17 04:04:14 UTC
That's true. if the score is the same, first one is preferred. so it needs to be fixed in a font right.

Comment 6 Nicholas Miell 2014-12-17 04:14:33 UTC
The various Roboto Black fonts have (in fontconfig terms) a weight of 80 when they should have a weight of 210.

Similarly, the various Roboto Condensed fonts have a width (again in fontconfig terms) of 100 when they should have a width of 75.

Comment 7 Nicholas Miell 2014-12-17 04:29:37 UTC
This problem appears to have already been fixed in the upstream font files.

Comment 8 David Tardon 2014-12-18 14:38:42 UTC
I updated the package to use the zip file referenced in http://www.google.com/design/spec/style/typography.html# . I hope that is the latest version.

Comment 9 Nicholas Miell 2014-12-18 14:49:03 UTC
Doesn't look like it, the Black fonts still have the wrong weights and the Condensed the wrong widths.

The corrected version I saw came from http://www.google.com/fonts#UsePlace:use/Collection:Roboto and from the hg repositoriy, but it looks like Google Fonts dynamically generates font subsets and the hg has font files split into multiple languages, so I'm not sure how useful they are.

Comment 10 Fedora Update System 2014-12-18 16:12:44 UTC
google-roboto-fonts-1.2-6.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/google-roboto-fonts-1.2-6.fc21

Comment 11 Fedora Update System 2014-12-18 16:13:15 UTC
google-roboto-fonts-1.2-6.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/google-roboto-fonts-1.2-6.fc20

Comment 12 Paul Flo Williams 2014-12-18 20:23:45 UTC
Created attachment 970762 [details]
Fontconfig rules to fix metadata

How about fixing the metadata in the Fontconfig rules? My Fontconfig-fu is weak, but I've attached a suggested patch that appears to do the right thing. (It also fixes the Thin weights to distinguish them from Light.)

By the way, I think the Fontconfig rules are currently swapped in the installed packages, so that the condensed fontconfig goes with "normal" package and vice versa.

Comment 13 Fedora Update System 2014-12-19 18:26:57 UTC
Package google-roboto-fonts-1.2-6.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing google-roboto-fonts-1.2-6.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17236/google-roboto-fonts-1.2-6.fc20
then log in and leave karma (feedback).

Comment 14 David Tardon 2014-12-23 16:14:34 UTC
All right, lets give it another try... I cannot verify that the patch works, as I am getting

$ fc-match Roboto
Roboto-Medium.ttf: "Roboto" "Medium"

whether it is applied or not. But at least the .conf files are in the right subpackages now.

Comment 15 Fedora Update System 2014-12-23 16:27:46 UTC
google-roboto-fonts-1.2-8.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/google-roboto-fonts-1.2-8.fc21

Comment 16 Fedora Update System 2014-12-23 16:28:14 UTC
google-roboto-fonts-1.2-8.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/google-roboto-fonts-1.2-8.fc20

Comment 17 Fedora Update System 2014-12-25 05:32:09 UTC
Package google-roboto-fonts-1.2-8.fc21:
* should fix your issue,
* was pushed to the Fedora 21 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing google-roboto-fonts-1.2-8.fc21'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-17572/google-roboto-fonts-1.2-8.fc21
then log in and leave karma (feedback).

Comment 18 Fedora Update System 2015-01-03 18:58:27 UTC
google-roboto-fonts-1.2-8.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 19 Fedora Update System 2015-01-03 19:06:18 UTC
google-roboto-fonts-1.2-8.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.